WordPress.org

Italia

Directory dei plugin

Test out the new Plugin Directory and let us know what you think.

Really Simple SSL

Non è necessaria alcuna impostazione! Avrai soltanto bisogno di un certificato SSL, e questo plugin si occuperà di tutto il resto.

Really Simple SSL automatically detects your settings and configures your website to run over https. To keep it lightweight, the options are kept to a minimum. The entire site will move to SSL.

Three simple steps for setup:

  • Ottieni un certificato SLL (spiacente, ma non possiamo farlo per te).
  • Activate this plugin
  • Abilita SLL con un click

Always backup before you go! If you do not have a sound backup policy, start having one! For a snapshot, install duplicator.

Love Really Simple SSL?

Hopefully this plugin save you some hours of work. If you want to support the continuing development of this plugin, you might consider buying the premium, which includes some cool features: * The mixed content scan, which shows you what you have to do if you don't have the green lock yet * The option to enable HTTP Strict Transport Security * The option to configure your site for the HSTS preload list * Mixed Content Fixer for the back-end * More detailed feedback on the configuration page. * Premium support

What does the plugin actually do

  • The plugin handles most issues that WordPress has with ssl, like the much discussed loadbalancer issue, or when there are no server variables set at all.
  • All incoming requests are redirected to https. If possible with .htaccess, or else with javascript.
  • The site url and home url are changed to https.
  • Your insecure content is fixed by replacing all http:// urls with https://, except hyperlinks to other domains. Dynamically, so no database changes are made (except for the siteurl and homeurl).

contact me if you have any questions, issues, or suggestions. More information about me or my work can be found on my website.

Like to have this plugin in your language?

Le traduzioni possono essere aggiunte facilmente in questa pagina. Se te ne vorrai occupare, posso aggiungerti tra gli editor della traduzione per una più veloce approvazione del tuo lavoro.

Richiede: 4.2 o superiore
Compatibile fino a: 4.7.1
Ultimo aggiornamento: 1 mese fa
Installazioni attive: 90.000+

Valutazioni

4.8 su 5 stelle

Supporto

Negli ultimi due mesi sono stati contrassegnati come risolti 4 su 25 thread di supporto.

Qualcosa da dire? Hai bisogno di aiuto?

Compatibilità

+
=
Dati insufficienti

2 persone dicono che funziona.
0 persone dicono che non funziona.

0,1,0
100,1,1 100,2,2 100,1,1 100,3,3
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,2,2
100,1,1
100,1,1 100,1,1 100,1,1
100,3,3 100,1,1
100,3,3
100,1,1 50,2,1 100,1,1 100,3,3 100,1,1 100,3,3 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,2,2
100,1,1
100,1,1
100,2,2 100,1,1 100,1,1 100,3,3
100,1,1 100,1,1
100,1,1 100,4,4 100,1,1
100,1,1 88,8,7
100,2,2